#ifndef __CEKEY_H__
#define __CEKEY_H__

typedef struct stKeybind 
{ 
    WORD  Code;
} KEYBIND;

extern KEYBIND Keys[64];

#define KEY_UP     0
#define KEY_DOWN   1
#define KEY_LEFT   2
#define KEY_RIGHT  3
#define KEY_A      4
#define KEY_B      5
#define KEY_SELECT 6
#define KEY_START  7
#define KEY_L      8
#define KEY_R      9

extern void CEKey_Init( char * );
extern int  CEKey_Update(void);
extern void CEKey_Trash( void );
extern void CEKey_Down(int key);
extern void CEKey_Up(int key);


#endif /*__CEKEY_H__*/
